Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 689602

Summary: dev-python/PyQtWebEngine-5.13.0 should depend on >=dev-qt/qtwebengine-5.13.0[widgets] for QWebEngineNotification support
Product: Gentoo Linux Reporter: hangglider
Component: Current packagesAssignee: Qt Bug Alias <qt>
Status: RESOLVED FIXED    
Severity: normal CC: boris2.9, grozin, skrattaren, steils
Priority: Normal Keywords: UPSTREAM
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description hangglider 2019-07-10 16:50:47 UTC
RDEPEND of package contains dev-qt/qtwebengine:5[widgets] is not sufficient, as it also matches qtwebengine-5.12.*. That in turn doesn't contain QWebEngineNotification, what is contained since qtwebengine-5.13.0, but PyQtWebEngine-5.13.0 depends on it.

Error is:

/var/tmp/portage/dev-python/PyQtWebEngine-5.13.0/work/PyQtWebEngine_gpl-5.13.0/sip/QtWebEngineWidgets/qwebengineprofile.sip:33:10: fatal error: QWebEngineNotification: No such file or directory                                                                                     
 #include <QWebEngineNotification>                                                          
          ^~~~~~~~~~~~~~~~~~~~~~~~
Comment 1 Davide Pesavento gentoo-dev 2019-07-13 17:32:27 UTC
Turns out this is an upstream bug, as I suspected.
https://www.riverbankcomputing.com/pipermail/pyqt/2019-July/041933.html
Comment 2 Larry the Git Cow gentoo-dev 2019-07-14 23:13:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2844813a4c7774129d9bba1fd82ee88d07b1ddb9

commit 2844813a4c7774129d9bba1fd82ee88d07b1ddb9
Author:     Davide Pesavento <pesa@gentoo.org>
AuthorDate: 2019-07-14 23:12:47 +0000
Commit:     Davide Pesavento <pesa@gentoo.org>
CommitDate: 2019-07-14 23:12:47 +0000

    dev-python/PyQtWebEngine: bump to 5.13.1_pre1907131806 snapshot
    
    Closes: https://bugs.gentoo.org/689602
    Package-Manager: Portage-2.3.69, Repoman-2.3.16
    Signed-off-by: Davide Pesavento <pesa@gentoo.org>

 dev-python/PyQtWebEngine/Manifest                                       | 2 +-
 ...ebEngine-5.13.0.ebuild => PyQtWebEngine-5.13.1_pre1907131806.ebuild} | 0
 2 files changed, 1 insertion(+), 1 deletion(-)